# Generated from appsignal-4.5.16.gem by gem2rpm -*- rpm-spec -*-
%global gem_name appsignal

Name: rubygem-%{gem_name}
Version: 4.5.16
Release: 1%{?dist}
Summary: Logs performance and exception data from your app to appsignal.com
License: MIT
URL: https://github.com/appsignal/appsignal-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.7
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 1.64.1
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(yard) >= 0.9.20

%description
The official appsignal.com gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/appsignal
%{gem_extdir_mri}
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/SUPPORT.md
%{gem_instdir}/bin
%{gem_instdir}/build_matrix.yml
%{gem_libdir}
%{gem_instdir}/resources
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/appsignal.gemspec

%changelog
* Fri Jun 27 2025 mockbuilder - 4.5.16-1
- Initial package
